Re: [openwrt/packages] strongswan: missing deprecated ipsec.conf (#10879)

From: notifications@github.com
Domain: IP info github.com
MX-server: IP info out-23.smtp.github.com
Size: 2191 Bytes
Create: 2020-01-16
Update: 2020-01-16
Score: 0
Safe: Yes

Outbound domains: github.com |

OpenWrt uses procd style init scripts, which are drastically different than Systemd style scripts and cannot be reused (unfortunately).

One thing I noticed about modifying config files directly (like I have been doing) is that the config files can get emptied on an unsafe shutdown/unplug/power outage. This can cause some issues if you are reliant on a remote VPN link and suddenly the site loses power and the VPN config is wiped and you can no longer get back in when the power is restored.

Problem with ipsec.conf is that it is deprecated and certain options are no longer available via that file... Bummer!


You are receiving this because you are subscribed to this thread.
Reply to this email directly, view it on GitHub, or unsubscribe.

Want to protect your real email from messages like this? Use TempM email and be more secure on the internet.